﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
 
namespace LottoSpiel
{
    public partial class MainWindow : Window
    {
        List<string> gewählteZahlen = new List<string>();
        List<Button> buttons = new List<Button>();
 
        public MainWindow()
        {
            InitializeComponent();
            ZahlenErstellen();
        }
                  
        private void ZahlenErstellen()
        {
            for (int i = 1; i <= 49; i++)
            {
                Button btn = new Button();
                btn.Content = i.ToString();
                btn.Margin = new Thickness(3);
                btn.Width = 40;
                btn.Height = 30;
                btn.Click += ZahlGeklickt;
 
                ZahlenFeld.Children.Add(btn);
                buttons.Add(btn);
            }
        }
 
        private void ZahlGeklickt(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            string zahl = btn.Content.ToString();
 
            if (gewählteZahlen.Contains(zahl))
            {
                gewählteZahlen.Remove(zahl);
                btn.Background = System.Windows.Media.Brushes.LightGray;
            }
            else
            {
                if (gewählteZahlen.Count >= 6)
                {
                    MessageBox.Show("Nur 6 Zahlen erlaubt!");
                    return;
                }
 
                gewählteZahlen.Add(zahl);
                btn.Background = System.Windows.Media.Brushes.LightGreen;
            }
        }
 
        private void Ziehung_Click(object sender, RoutedEventArgs e)
        {
            if (gewählteZahlen.Count != 6)
            {
                MessageBox.Show("Bitte genau 6 Zahlen auswählen.");
                return;
            }
 
            List<string> gezogen = new List<string>();
            Random rnd = new Random();
 
            while (gezogen.Count < 6)
            {
                int zufall = rnd.Next(1, 50);
                string zufallsText = zufall.ToString();
                if (!gezogen.Contains(zufallsText))
                {
                    gezogen.Add(zufallsText);
                }
            }
 
            int treffer = 0;
            foreach (string z in gewählteZahlen)
            {
                if (gezogen.Contains(z))
                {
                    treffer++;
                }
            }
 
            ErgebnisFeld.Text = "Deine Zahlen: " + string.Join(", ", gewählteZahlen) + "\n" +
                                "Gezogen: " + string.Join(", ", gezogen) + "\n" +
                                "Treffer: " + treffer;
        }
    }
}